| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Attrib::NumParam< T > Class Template Reference
AttributeEngine

Numerical parameter that is used by an attribute. For example: IntParam, FloatParam and DoubleParam. More...

`#include <attribparam.h>`

Inheritance diagram for Attrib::NumParam< T >:
[legend]

## Public Member Functions
| NumParam (const char *key)
| NumParam (const char *key, T defval, bool isreq=true)
| NumParam (const NumParam< T > &)
| ~NumParam ()
NumParam< T > * | clone () const override
bool | getCompositeValue (BufferString &res) const override
BufferString | getDefaultValue () const override
double | getDValue (int idx=0) const override
float | getFValue (int idx=0) const override
int | getIntValue (int idx=0) const override
const StepInterval< T > * | limits () const
bool | setCompositeValue (const char *) override
void | setLimits (const Interval< T > &)
void | setLimits (const StepInterval< T > &)
void | setLimits (T start, T stop, T step=1)
Public Member Functions inherited from Attrib::ValParam
| ValParam (const char *key, DataInpSpec *)
| ValParam (const ValParam &)
virtual | ~ValParam ()
ValParam * | clone () const override
void | fillDefStr (BufferString &) const override
bool | getBoolValue (int idx=0) const
bool | getCompositeValue (BufferString &) const override
bool | getDefaultBoolValue (int idx=0) const
virtual double | getDefaultdValue (int idx=0) const
virtual float | getDefaultfValue (int idx=0) const
virtual int | getDefaultIntValue (int idx=0) const
const char * | getDefaultStringValue (int idx=0) const
BufferString | getDefaultValue () const override
double | getdValue (int idx=0) const
float | getfValue (int idx=0) const
MultiID | getMultiID (int idx=0) const
DataInpSpec * | getSpec ()
const DataInpSpec * | getSpec () const
const char * | getStringValue (int idx=0) const
bool | isOK () const override
int | nrValues () const
bool | setCompositeValue (const char *) override
void | setDefaultValue (bool, int idx=0)
void | setDefaultValue (const char *, int idx=0)
void | setDefaultValue (double, int idx=0)
void | setDefaultValue (float, int idx=0)
void | setDefaultValue (int, int idx=0)
void | setValue (bool, int idx=0)
void | setValue (const char *, int idx=0)
void | setValue (const MultiID &, int idx=0)
void | setValue (double, int idx=0)
void | setValue (float, int idx=0)
void | setValue (int, int idx=0)
Public Member Functions inherited from Attrib::Param
virtual | ~Param ()
StringView | getKey () const
bool | isEnabled () const
bool | isGroup () const
bool | isRequired () const
bool | operator!= (const Param &p) const
bool | operator== (const Param &p) const
void | setEnabled (bool yn=true)
void | setKey (const char *newkey)
void | setRequired (bool yn=true)
virtual bool | setValues (BufferStringSet &)

## Additional Inherited Members
Protected Member Functions inherited from Attrib::ValParam
bool | isEqual (const Param &) const override
Protected Member Functions inherited from Attrib::Param
| Param (const char *key)
| Param (const Param &)
bool | _isEqual (const Param &p) const
Protected Attributes inherited from Attrib::ValParam
DataInpSpec * | spec_
Protected Attributes inherited from Attrib::Param
bool | enabled_
bool | isgroup_
BufferString | key_
bool | required_

## Detailed Description

template<class T>
class Attrib::NumParam< T >

Numerical parameter that is used by an attribute. For example: IntParam, FloatParam and DoubleParam.

<>

## Constructor & Destructor Documentation

## ◆ NumParam() [1/3]

template<class T >

Attrib::NumParam< T >::NumParam | ( | const char * | key | ) |

## ◆ NumParam() [2/3]

template<class T >

Attrib::NumParam< T >::NumParam | ( | const char * | key,
|  | T | defval,
|  | bool | isreq = true )

## ◆ NumParam() [3/3]

template<class T >

Attrib::NumParam< T >::NumParam | ( | const NumParam< T > & | np | ) |

## ◆ ~NumParam()

template<class T >

Attrib::NumParam< T >::~NumParam | ( |  | ) |

## Member Function Documentation

## ◆ clone()

template<class T >

NumParam< T > * Attrib::NumParam< T >::clone | ( |  | ) | const
| inline override virtual

Implements Attrib::Param.

## ◆ getCompositeValue()

template<class T >

bool Attrib::NumParam< T >::getCompositeValue | ( | BufferString & |  | ) | const
| override virtual

Put all values into one string.

Implements Attrib::Param.

## ◆ getDefaultValue()

template<class T >

BufferString Attrib::NumParam< T >::getDefaultValue | ( |  | ) | const
| override virtual

Reimplemented from Attrib::Param.

## ◆ getDValue()

template<class T >

double Attrib::NumParam< T >::getDValue | ( | int | idx = 0 | ) | const
| override virtual

Reimplemented from Attrib::ValParam.

## ◆ getFValue()

template<class T >

float Attrib::NumParam< T >::getFValue | ( | int | idx = 0 | ) | const
| override virtual

Reimplemented from Attrib::ValParam.

## ◆ getIntValue()

template<class T >

int Attrib::NumParam< T >::getIntValue | ( | int | idx = 0 | ) | const
| override virtual

Reimplemented from Attrib::ValParam.

## ◆ limits()

template<class T >

const StepInterval< T > * Attrib::NumParam< T >::limits | ( |  | ) | const

## ◆ setCompositeValue()

template<class T >

bool Attrib::NumParam< T >::setCompositeValue | ( | const char * |  | ) |
| override virtual

Set all values from one composite string.

Reimplemented from Attrib::Param.

## ◆ setLimits() [1/3]

template<class T >

void Attrib::NumParam< T >::setLimits | ( | const Interval< T > & | limit | ) |

## ◆ setLimits() [2/3]

template<class T >

void Attrib::NumParam< T >::setLimits | ( | const StepInterval< T > & | limit | ) |

## ◆ setLimits() [3/3]

template<class T >

void Attrib::NumParam< T >::setLimits | ( | T | start,
|  | T | stop,
|  | T | step = 1 )

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025